%define subrel 3

Name: kdenetwork4
Version: 4.3.5
Release: %mkrel 0
Epoch: 3
Group: Development/KDE and Qt
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Summary: K Desktop Environment - Network Applications
License: GPL
URL: http://www.kde.org
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/kdenetwork-%version.tar.bz2
Patch0: kdenetwork-4.0.85-kopete.patch
Patch1: kdenetwork-4.2.2-kopete-searchbar_new_line.patch
Patch2: kdenetwork-4.3.1-kppp-use_default_password_on_wizard.patch
Patch200:  kdenetwork-4.3.5-t1086538-bonjour-fix-crash.patch
Patch201:  kdenetwork-4.3.5-t1086498-fix-delete.patch
BuildRequires: kde4-macros
BuildRequires: qt4-devel
BuildRequires: freetype2-devel
BuildRequires: gettext
BuildRequires: kdelibs4-devel >= 2:4.2.98
BuildRequires: kdelibs4-experimental-devel >= 2:4.2.98
BuildRequires: kdepimlibs4-devel >= 2:4.2.98
BuildRequires: kdebase4-workspace-devel >= 4.2.98
BuildRequires: libaudiofile-devel
BuildRequires: libv4l-devel
BuildRequires: bzip2-devel
BuildRequires: jpeg-devel
BuildRequires: lcms-devel
BuildRequires: mng-devel
BuildRequires: png-devel
BuildRequires: libz-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
BuildRequires: libopenslp-devel
BuildRequires: libiw-devel
BuildRequires: wireless-tools
BuildRequires: libopenssl-devel
BuildRequires: libidn-devel
# Do not enable for now
#BuildRequires: libgsmlib-devel
BuildRequires: mesaglut-devel
BuildRequires: X11-devel
BuildRequires: libxtst-devel
BuildRequires: gmp-devel
BuildRequires: libotr-devel
BuildRequires: mDNSResponder-devel
BuildRequires: libvncserver-devel >= 0.8.2-%mkrel 3
BuildRequires: qca2-devel 
BuildRequires: boost-devel
BuildRequires: qimageblitz-devel
BuildRequires: sqlite3-devel
BuildRequires: decibel-devel
BuildRequires: telepathy-qt-devel
BuildRequires: tapioca-qt-devel
BuildRequires: qca2-devel
BuildRequires: webkitkde-devel
BuildRequires: ortp-devel >= 0.13.1
BuildRequires: libmsn-devel >= 4.0-0.beta1.1
BuildRequires: gadu-devel >= 1.8.0
BuildRequires: meanwhile-devel
BuildRequires: linphone-devel
Suggests: kdnssd
Suggests: kget
Suggests: kopete
Suggests: kppp
Suggests: krdc
Suggests: krfb
Suggests: kde4-filesharing
Obsoletes: kde4-lanbrowsing
Obsoletes: kdenetwork-kxmlrpcd
Obsoletes: kdenetwork_kroupware
Obsoletes: kdenetwork_kroupware-kppp
Obsoletes: libkdenetwork_kroupware2
Obsoletes: libkdenetwork_kroupware2-devel
Obsoletes: kit
Obsoletes: kdenetwork-kmail < 3.1.6
Obsoletes: kdenetwork-knode < 3.1.6
Obsoletes: kdenetwork-korn < 3.1.6
Obsoletes: lisa < 2:3.5.10-7

%description
Networking applications for the K Desktop Environment.

- kdict: graphical client for the DICT protocol.
- kit: AOL instant messenger client, using the TOC protocol
- kpf: public fileserver applet
- krfb: Desktop Sharing server, allow others to access your desktop via VNC
- krdc: a client for Desktop Sharing and other VNC servers

%files
%defattr(-,root,root,-)
%doc README

#----------------------------------------------------------------------

%package core
Summary: %name core files
Group: Graphical desktop/KDE
Requires: kdelibs4-core

Conflicts: kdebase =< 2.2.2-93mdk
Conflicts: kdepim <= 3.1.92

Obsoletes: %{_lib}kdenetwork42 <=  2:3.91-0.683133.1
%if %mdkversion >= 200910
Obsoletes: kdenetwork3 < 2:3.5.9
Obsoletes: kdenetwork-kxmlrpcd < 2:3.5.9
Obsoletes: kdenetwork-kxmlrpcd < 2:3.5.9
Obsoletes: lisa< 2:3.5.10-2
Obsoletes: ksambaplugin <= 0.5
Obsoletes: kdenetwork-ktalk < 2:3.5.10-2
Obsoletes: kdenetwork-ksirc < 2:3.5.10-2
Obsoletes: kdenetwork-kwifimanager < 2:3.5.10-2
Obsoletes: kdenetwork-kdict < 2:3.5.10-2
Obsoletes: kdenetwork-knewsticker < 2:3.5.10-2
Obsoletes: kdenetwork < 2:3.5.10-2
Obsoletes: kdenetwork-common < 2:3.5.10-2
%endif

%description core
Core files for %{name}.

%files core
%defattr(-,root,root)
%_kde_iconsdir/*/*/*/*

#----------------------------------------------------------------------

%package -n kde4-filesharing
Summary: %{name} filesharing
Group: Graphical desktop/KDE
Requires: %name-core >= %epoch:%version
Obsoletes: %name-filesharing < 2:3.93.0-0.714148.1

%description -n kde4-filesharing
%{name} filesharing.

%files -n kde4-filesharing
%defattr(-,root,root)
%_kde_libdir/kde4/fileshare_propsdlgplugin.so
%_kde_libdir/kde4/kcm_fileshare.so
%_kde_libdir/kde4/kcm_kcmsambaconf.so
%_kde_datadir/kde4/services/fileshare.desktop
%_kde_datadir/kde4/services/fileshare_propsdlgplugin.desktop
%_kde_datadir/kde4/services/kcmsambaconf.desktop
%_kde_datadir/kde4/services/ServiceMenus/smb2rdc.desktop

#---------------------------------------------

%package -n kdnssd
Summary:   %{name} kdnssd
Group:     Graphical desktop/KDE
Requires:  %name-core >= %epoch:%version
Requires:  nss_mdns
Obsoletes: %name-kdnssd < 2:3.93.0-0.714148.1
Obsoletes: kde4-lanbrowsing
Obsoletes: kde4-kdnssd < 3:4.0.68
Provides:  kde4-kdnssd = %epoch:%version

%description -n kdnssd
%{name} kdnssd.

%files -n kdnssd
%defattr(-,root,root)
%dir %_kde_appsdir/remoteview
%_kde_appsdir/remoteview/zeroconf.desktop
%_kde_libdir/kde4/kded_dnssdwatcher.so
%_kde_libdir/kde4/kio_zeroconf.so
%_kde_datadir/kde4/services/kded/dnssdwatcher.desktop
%_kde_datadir/kde4/services/zeroconf.protocol

#---------------------------------------------

%define libkgetcore %mklibname kgetcore 4

%package -n %libkgetcore
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkgetcore
KDE 4 library

%files -n %libkgetcore
%defattr(-,root,root)
%_kde_libdir/libkgetcore.so.*

#---------------------------------------------

%package -n kget
Summary: %{name} kget
Group: Graphical desktop/KDE
Requires: %name-core >= %epoch:%version

Obsoletes: %name-kget < 2:3.93.0-0.714148.1
Obsoletes: kde4-kget < 3:4.0.68
%if %mdkversion >= 200910
Obsoletes: kdenetwork-kget < 2:3.5.10-2
%endif
Provides:  kde4-kget = %epoch:%version


%description -n kget
An advanced download manager for KDE.

%files -n kget
%defattr(-,root,root)
%_kde_bindir/kget
%dir %_kde_appsdir/kget
%_kde_appsdir/kget/*
%_kde_libdir/kde4/kget_*
%_kde_libdir/kde4/khtml_kget.so
%_kde_libdir/kde4/plasma_engine_kget.so
%_kde_datadir/kde4/services/plasma-engine-kget.desktop
%_kde_datadir/applications/kde4/kget.desktop
%_kde_datadir/kde4/services/ServiceMenus/kget_download.desktop
%_kde_datadir/config.kcfg/kget*
%_kde_datadir/kde4/services/kget_*
%_kde_datadir/kde4/servicetypes/kget_*
%_kde_appsdir/khtml/kpartplugins/kget_plug_in.rc
%_kde_appsdir/webkitpart/kpartplugins/kget_plug_in.rc
%_kde_appsdir/desktoptheme/default/widgets/kget.svg
%_kde_libdir/kde4/kcm_kget_contentfetchfactory.so
%_kde_libdir/kde4/kcm_kget_mirrorsearchfactory.so
%_kde_libdir/kde4/kcm_kget_multisegkiofactory.so
%_kde_libdir/kde4/plasma_kget_barapplet.so
%_kde_libdir/kde4/plasma_kget_panelbar.so
%_kde_libdir/kde4/plasma_kget_piechart.so
%_kde_libdir/kde4/kcm_kget_bittorrentfactory.so
%_kde_datadir/kde4/services/kgetbarapplet-default.desktop
%_kde_datadir/kde4/services/kgetpanelbarapplet-default.desktop
%_kde_datadir/kde4/services/kgetpiechartapplet-default.desktop

%_kde_docdir/HTML/*/kget

#---------------------------------------------

%package -n kopete
Summary:   %{name} kopete
Group:     Graphical desktop/KDE
Requires: %name-core >= %epoch:%version
Requires: akonadi >= 1:1.1.95
Requires: qca2-plugin-openssl-%{_lib}
Requires: kdepimlibs4-core
Requires: jasper
Obsoletes: %name-kopete < 2:3.93.0-0.714148.1
Obsoletes: kde4-kopete < 3:4.0.68
%if %mdkversion >= 200910
Obsoletes: kdenetwork-kopete < 2:3.5.10-2
Obsoletes: kdenetwork-kopete-nowlistening < %epoch:3.5.4
%endif

Conflicts: %name-devel < 3:3.96.1-0.740247.1

Provides:  kde4-kopete = %epoch:%version

%description -n kopete
Kopete is a flexible and extendable multiple protocol instant messaging
system designed as a plugin-based system.

All protocols are plugins and allow modular installment, configuration,
and usage without the main application knowing anything about the plugin
being loaded.

The goal of Kopete is to provide users with a standard and easy to use
interface between all of their instant messaging systems, but at the same
time also providing developers with the ease of writing plugins to support
a new protocol.

The core Kopete development team provides a handful of plugins that most
users can use, in addition to templates for new developers to base a
plugin off of.

%files -n kopete
%defattr(-,root,root)
%_kde_appsdir/kconf_update/kopete-*
%_kde_bindir/kopete
%_kde_bindir/kopete_latexconvert.sh
%_kde_bindir/winpopup-install
%_kde_bindir/winpopup-send
%_kde_bindir/skype-action-handler
%_kde_libdir/kde4/kcm_kopete_*
%_kde_libdir/kde4/kopete_*
%_kde_libdir/libqgroupwise.so
%_kde_libdir/kde4/libchattexteditpart.so
%_kde_datadir/applications/kde4/kopete.desktop
%_kde_datadir/config/kopeterc
%_kde_datadir/config.kcfg/historyconfig.kcfg
%_kde_datadir/config.kcfg/kopeteappearancesettings.kcfg
%_kde_datadir/config.kcfg/kopetebehaviorsettings.kcfg
%_kde_datadir/config.kcfg/latexconfig.kcfg
%_kde_datadir/config.kcfg/nowlisteningconfig.kcfg
%_kde_datadir/config.kcfg/webpresenceconfig.kcfg
%_kde_datadir/kde4/services/aim.protocol
%_kde_datadir/kde4/services/chatwindow.desktop
%_kde_datadir/kde4/services/emailwindow.desktop
%_kde_datadir/kde4/services/kconfiguredialog/kopete_*
%_kde_datadir/kde4/services/kopete_*
%_kde_datadir/kde4/services/xmpp.protocol
%_kde_datadir/kde4/services/callto.protocol
%_kde_datadir/kde4/services/skype.protocol
%_kde_datadir/kde4/services/tel.protocol
%_kde_datadir/kde4/servicetypes/kopete*
%_kde_datadir/sounds/Kopete_Event.ogg
%_kde_datadir/sounds/Kopete_Received.ogg
%_kde_datadir/sounds/Kopete_Sent.ogg
%_kde_datadir/sounds/Kopete_User_is_Online.ogg
%_kde_appsdir/kopete
%_kde_appsdir/kopete_contactnotes
%_kde_appsdir/kopete_history
%_kde_appsdir/kopete_jabber
%_kde_appsdir/kopete_latex
%_kde_appsdir/kopete_wlm
%_kde_appsdir/kopete_privacy
%_kde_appsdir/kopete_statistics
%_kde_appsdir/kopete_translator
%_kde_appsdir/kopete_yahoo
%_kde_appsdir/kopete_groupwise
%_kde_appsdir/kopete_skype
%_kde_appsdir/kopeterichtexteditpart
%_kde_datadir/config.kcfg/urlpicpreview.kcfg
%_kde_docdir/HTML/*/kopete
%_prefix/lib/mozilla/plugins/libskypebuttons.so
%exclude %_kde_appsdir/kopete_latex
%exclude %_kde_libdir/kde4/kcm_kopete_latex.*
%exclude %_kde_libdir/kde4/kopete_latex.*
%exclude %_kde_datadir/kde4/services/kopete_latex.desktop
%exclude %_kde_datadir/config.kcfg/latexconfig.kcfg
%exclude %_kde_bindir/kopete_latexconvert.sh
%exclude %_kde_datadir/kde4/services/kconfiguredialog/kopete_latex_config.desktop
%exclude %_kde_appsdir/kopete/icons/oxygen/32x32/apps/latex.png
#---------------------------------------------

%package  kopete-latex
Group: Graphical desktop/KDE
Summary: Kopete latex plugin for write andd read mesages in latex
Requires: kopete
Requires: imagemagick

%description kopete-latex
Kopete latex plugin for write andd read mesages in latexinder

%files kopete-latex
%defattr(-,root,root,-)

%_kde_appsdir/kopete_latex
%_kde_libdir/kde4/kcm_kopete_latex.*
%_kde_libdir/kde4/kopete_latex.*
%_kde_datadir/kde4/services/kopete_latex.desktop
%_kde_datadir/config.kcfg/latexconfig.kcfg
%_kde_bindir/kopete_latexconvert.sh
%_kde_datadir/kde4/services/kconfiguredialog/kopete_latex_config.desktop
%_kde_appsdir/kopete/icons/oxygen/32x32/apps/latex.png

#---------------------------------------------

%define libkopetecontactlist %mklibname kopetecontactlist 1

%package -n %libkopetecontactlist
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkopetecontactlist
KDE 4 library

%files -n %libkopetecontactlist
%defattr(-,root,root)
%_kde_libdir/libkopetecontactlist.so.*

#---------------------------------------------

%define libkyahoo %mklibname kyahoo 1

%package -n %libkyahoo
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkyahoo
KDE 4 library

%files -n %libkyahoo
%defattr(-,root,root)
%_kde_libdir/libkyahoo.so.*

#---------------------------------------------

%define libkopete_videodevice %mklibname kopete_videodevice 4

%package -n %libkopete_videodevice
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkopete_videodevice
KDE 4 library

%files -n %libkopete_videodevice
%defattr(-,root,root)
%_kde_libdir/libkopete_videodevice.so.*

#---------------------------------------------

%define libkopeteaddaccountwizard %mklibname kopeteaddaccountwizard 1

%package -n %libkopeteaddaccountwizard
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkopeteaddaccountwizard
KDE 4 library

%files -n %libkopeteaddaccountwizard
%defattr(-,root,root)
%_kde_libdir/libkopeteaddaccountwizard.so.*

#---------------------------------------------

%define libkopete %mklibname kopete 4

%package -n %libkopete
Summary: KDE 4 library
Group: System/Libraries
Obsoletes: %{_lib}kopete5 < 2:3.91-0.689748.1

%description -n %libkopete
KDE 4 library

%files -n %libkopete
%defattr(-,root,root)
%_kde_libdir/libkopete.so.*
%_kde_datadir/config.kcfg/kopetestatussettings.kcfg

#---------------------------------------------

%define libkopeteprivacy %mklibname kopeteprivacy 1

%package -n %libkopeteprivacy
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkopeteprivacy
KDE 4 library

%files -n %libkopeteprivacy
%defattr(-,root,root)
%_kde_libdir/libkopeteprivacy.so.*

#---------------------------------------------

%define libkopetechatwindow_shared %mklibname kopetechatwindow_shared 1

%package -n %libkopetechatwindow_shared
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkopetechatwindow_shared
KDE 4 library

%files -n %libkopetechatwindow_shared
%defattr(-,root,root)
%_kde_libdir/libkopetechatwindow_shared.so.*

#---------------------------------------------

%define libkrdccore %mklibname krdccore 1

%package -n %libkrdccore
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkrdccore
KDE 4 library

%files -n %libkrdccore
%defattr(-,root,root)
%_kde_libdir/libkrdccore.so.*

#---------------------------------------------

%define libkopete_otr_shared %mklibname kopete_otr_shared 1

%package -n %libkopete_otr_shared
Summary: KDE 4 library
Group: System/Libraries
Conflicts: kopete-otr < 0.8

%description -n %libkopete_otr_shared
KDE 4 library

%files -n %libkopete_otr_shared
%defattr(-,root,root)
%_kde_libdir/libkopete_otr_shared.so.*
%dir %_kde_appsdir/kopete_otr
%_kde_appsdir/kopete_otr/*
%_kde_datadir/config.kcfg/kopete_otr.kcfg

#---------------------------------------------

%define libkopetestatusmenu %mklibname kopetestatusmenu 1

%package -n %libkopetestatusmenu
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkopetestatusmenu
KDE 4 library

%files -n %libkopetestatusmenu
%defattr(-,root,root)
%_kde_libdir/libkopetestatusmenu.so.*

#---------------------------------------------

%define libkopete_oscar %mklibname kopete_oscar 4

%package -n %libkopete_oscar
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkopete_oscar
KDE 4 library

%files -n %libkopete_oscar
%defattr(-,root,root)
%_kde_libdir/libkopete_oscar.so.*

#---------------------------------------------

%define liboscar %mklibname oscar 1

%package -n %liboscar
Summary: KDE 4 library
Group: System/Libraries

%description -n %liboscar
KDE 4 library

%files -n %liboscar
%defattr(-,root,root)
%_kde_libdir/liboscar.so.*

#---------------------------------------------

%define libkopeteidentity %mklibname kopeteidentity 1

%package -n %libkopeteidentity
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkopeteidentity
KDE 4 library

%files -n %libkopeteidentity
%defattr(-,root,root)
%_kde_libdir/libkopeteidentity.so.*

#---------------------------------------------

%package -n kppp
Summary: %{name} kppp
Group: Graphical desktop/KDE
Requires: %name-core >= %epoch:%version
Requires: ppp
Obsoletes: %name-kppp < 2:3.93.0-0.714148.1
Obsoletes: kde4-kppp < 3:4.0.68
Provides: kde4-kppp = %epoch:%version
%if %mdkversion >= 200910
Obsoletes: kdenetwork-kppp < 2:3.5.10-2
%endif

%description -n kppp
%{name} kppp.

%files -n kppp
%defattr(-,root,root)
%_kde_appsdir/kppp
%_kde_bindir/kppp
%_kde_bindir/kppplogview
%_kde_datadir/applications/kde4/Kppp.desktop
%_kde_datadir/applications/kde4/kppplogview.desktop
%_kde_docdir/HTML/*/kppp
%exclude %_kde_appsdir/kppp/Rules
%exclude %_kde_appsdir/kppp/Provider

#-----------------------------------------------------------

%package -n kppp-provider
Group: Graphical desktop/KDE
Summary: List of providers for pppd
Conflicts: kppp < 3:4.0.83-2
%if %mdkversion >= 200910
Obsoletes: kdenetwork-kppp-provider < 2:3.5.10-2
%endif

%description -n kppp-provider
List of providers for kppp

%files -n kppp-provider
%defattr(-,root,root,-)
%_kde_appsdir/kppp/Rules
%_kde_appsdir/kppp/Provider

#---------------------------------------------

%package -n krdc
Summary: %{name} krdc
Group: Graphical desktop/KDE
Requires: %name-core >= %epoch:%version
Obsoletes: %name-krdc < 2:3.93.0-0.714148.1
Obsoletes: kde4-krdc < 3:4.0.68
Provides: kde4-krdc = %epoch:%version
Requires: rdesktop

%description -n krdc
KDE Desktop Sharing allows you to invite somebody at a remote
location to watch and possibly control your desktop.

%files -n krdc
%defattr(-,root,root)
%_kde_bindir/krdc
%dir %_kde_appsdir/krdc
%_kde_appsdir/krdc/krdcui.rc
%_kde_appsdir/krdc/pics/*.png
%_kde_datadir/applications/kde4/krdc.desktop
%_kde_datadir/config.kcfg/krdc.kcfg
%_kde_datadir/kde4/services/rdp.protocol
%_kde_datadir/kde4/services/vnc.protocol
%_kde_libdir/kde4/kcm_krdc_rdpplugin.so
%_kde_libdir/kde4/kcm_krdc_vncplugin.so
%_kde_libdir/kde4/krdc_rdpplugin.so
%_kde_libdir/kde4/krdc_testplugin.so
%_kde_libdir/kde4/krdc_vncplugin.so
%_kde_datadir/kde4/services/krdc_rdp.desktop
%_kde_datadir/kde4/services/krdc_rdp_config.desktop
%_kde_datadir/kde4/services/krdc_test.desktop
%_kde_datadir/kde4/services/krdc_vnc.desktop
%_kde_datadir/kde4/services/krdc_vnc_config.desktop
%_kde_datadir/kde4/servicetypes/krdc_plugin.desktop
%_kde_docdir/HTML/*/krdc

#---------------------------------------------

%package -n krfb
Summary:   %{name} krfb
Group:     Graphical desktop/KDE
Requires:  %name-core >= %epoch:%version
Obsoletes: %name-krfb < 2:3.93.0-0.714148.1
Obsoletes: kde4-krfb < 3:4.0.68
Provides:  kde4-krfb = %epoch:%version
%if %mdkversion >= 200910
Obsoletes: kdenetwork-krfb < 2:3.5.10-2
%endif

%description -n krfb
KDE Desktop Sharing allows you to invite somebody at a remote
location to watch and possibly control your desktop.

%files -n krfb
%defattr(-,root,root)
%_kde_bindir/krfb
%dir %_kde_appsdir/krfb
%_kde_appsdir/krfb/krfb.notifyrc
%_kde_datadir/applications/kde4/krfb.desktop
%_kde_docdir/HTML/*/krfb

#---------------------------------------------

%package devel
Summary: Devel stuff for %{name}
Group: Development/KDE and Qt
Conflicts: kdepim <= 3.1.92
Requires: kdelibs4-devel >= 2:4.2.98
Requires: kdelibs4-experimental-devel >= 2:4.2.98
Requires: kdepimlibs4-devel >= 2:4.2.98
Requires: %libkgetcore >= %version
Requires: %libkopetecontactlist >= %version
Requires: %libkyahoo >= %version
Requires: %libkopete_videodevice >= %version
Requires: %libkopeteaddaccountwizard >= %version
Requires: %libkopete >= %version
Requires: %libkopeteprivacy >= %version
Requires: %libkopetechatwindow_shared >= %version
Requires: %libkrdccore >= %version
Requires: %libkopete_oscar >= %version
Requires: %liboscar >= %version

%description  devel
This package contains header files needed if you wish to build applications
based on %{name}.

%files devel
%defattr(-,root,root)
%_kde_libdir/*.so
%exclude %_kde_libdir/libqgroupwise.so
%_kde_includedir/*
%_kde_datadir/dbus-1/interfaces/*

#-------------------------------------------

%prep
%setup -q -n kdenetwork-%version
%patch0 -p1
%patch1 -p1 -b .searchbar
%patch2 -p0 -b .kppp-use_default_password
%patch200 -p0
%patch201 -p0
%build
%cmake_kde4 -DWITH_JINGLE=true

%make


%install
rm -fr %buildroot

make -C build DESTDIR=%buildroot install

%clean
rm -fr %buildroot



%changelog
* Mon Feb 08 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.3.5-0.3mdv2010.0
+ Revision: 502293
- Add 2 patches to fix bonjour crashes
  Do not build the sms protocol
- Fix file list
- Update to kde 4.3.5

* Tue Dec 22 2009 Security Team <security@mandriva.com> 3:4.3.2-1.1mdv2010.0
+ Revision: 481620
- + Revision: 479780
  Add rdesktop as requires in krdc package

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Add rdesktop as requires in krdc package

* Tue Oct 06 2009 Helio Chissini de Castro <helio@mandriva.com> 3:4.3.2-1mdv2010.0
+ Revision: 454428
- New upstream release 4.3.2.

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Requires nss_mdns in kdnssd (BUG: 54161)
    - Do not obsolete libs

* Thu Sep 17 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.3.1-3mdv2010.0
+ Revision: 444199
- Add obsolete for kde3 upgrade

  + Arthur Renato Mello <arthur@mandriva.com>
    - Let Kppp wizard uses default password if it is provided by Provider file

  + Helio Chissini de Castro <helio@mandriva.com>
    - New upstream release 4.3.1.

* Tue Aug 04 2009 Helio Chissini de Castro <helio@mandriva.com> 3:4.3.0-1mdv2010.0
+ Revision: 409403
- New upstream release 4.3.0.

* Thu Jul 23 2009 Helio Chissini de Castro <helio@mandriva.com> 3:4.2.98-1mdv2010.0
+ Revision: 398746
- Update to KDE 4.3 RC3

* Sun Jul 12 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.2.96-1mdv2010.0
+ Revision: 394958
- Update to Rc2

* Thu Jun 25 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.2.95-1mdv2010.0
+ Revision: 389271
- Update to kde 4.3Rc1

* Fri Jun 05 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.2.90-1mdv2010.0
+ Revision: 382946
- Update to beta2

* Fri May 29 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.2.88-1mdv2010.0
+ Revision: 380896
- Update to kde 4.2.88
  Remove merged patches

* Sat May 23 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.2.87-1mdv2010.0
+ Revision: 379026
- Update to kde 4.2.87

* Sat May 09 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.2.85-1mdv2010.0
+ Revision: 373656
- Fix file list
- Fix file list
- Update to kde 4.2.85
- Update to kde 4.2.71

  + Funda Wang <fwang@mandriva.org>
    - gadu is still needed

* Sat May 02 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.2.70-0.svn954171.1mdv2010.0
+ Revision: 370803
- Update to kde 4.2.70

* Tue Apr 07 2009 Gustavo Pichorim Boiko <boiko@mandriva.com> 3:4.2.2-5mdv2009.1
+ Revision: 365007
- Make the search bar appear in a new line

* Mon Apr 06 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.2.2-4mdv2009.1
+ Revision: 364561
- Add some upstream patches from branch
    - Patch105: Automatically show the notification messages (green flags)  so people do not miss it.
- Add some upstream patches from branch
        - Patch101: Kopete: Fix icon on Pipes plugin
        - Patch102: Fix crash in kcm_sambaconf
        - Patch103: Remove the telepathy protocol
        - Patch104: Fix setting v4l2 controls with minimum values other than 0
  Remove old source tarball
  Remove unapplied patch
- [Branch] Fix crash when samba use unknown options by kde
- Remove dupplicate obsoletes

* Fri Mar 27 2009 Helio Chissini de Castro <helio@mandriva.com> 3:4.2.2-1mdv2009.1
+ Revision: 361719
- Update with 4.2.2 try#1 packages

* Sat Feb 28 2009 Helio Chissini de Castro <helio@mandriva.com> 3:4.2.1-1mdv2009.1
+ Revision: 346117
- KDE 4.2.1 try#1 upstream release

* Wed Feb 25 2009 Helio Chissini de Castro <helio@mandriva.com> 3:4.2.0-3mdv2009.1
+ Revision: 344978
- Add real requires. Suggests and lacking on proper entries in akonadi break standalone kopete install

* Mon Feb 16 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.2.0-2mdv2009.1
+ Revision: 340885
- Rebuild against qt4.5

* Tue Jan 27 2009 Helio Chissini de Castro <helio@mandriva.com> 3:4.2.0-1mdv2009.1
+ Revision: 334603
- Bring back the webkit part
- Update with official 4.2.0 upstream tarball

* Sun Jan 11 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.1.96-2mdv2009.1
+ Revision: 328359
- Remove the irc plugin that was activated for testing purposes

* Fri Jan 09 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.1.96-1mdv2009.1
+ Revision: 327436
- Fix File list
- Remove merged patches

  + Helio Chissini de Castro <helio@mandriva.com>
    - Update with Release Candidate 1 - 4.1.96

* Tue Dec 23 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.1.85-2mdv2009.1
+ Revision: 318033
- Fix patch200
- Fix crash in jabber at logout

* Sun Dec 14 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.1.85-1mdv2009.1
+ Revision: 314075
- revert parts of commit 893898 to fix build

  + Helio Chissini de Castro <helio@mandriva.com>
    - Update with Beta 1 - 4.1.85

* Thu Dec 11 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.1.82-2mdv2009.1
+ Revision: 313429
- Add forgotten patch
- Update to kde 4.1.82

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Mon Dec 01 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.1.81-1mdv2009.1
+ Revision: 308707
- Update to kde 4.1.81

* Wed Nov 26 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.1.80-4mdv2009.1
+ Revision: 306847
- Versionnate Obsoletes
  Clean spec file ( order obsoletes, provides, conflicts, ...)

* Mon Nov 24 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.1.80-3mdv2009.1
+ Revision: 306471
- Fix file list
- Remove wrong obsoletes
- Some more obsoletes
- first step to the removal of old kde3 kdenetwork
  Obsoletes the begining of the kdenetwork3 apps
  Step2 come later this day so please do not touch this for the moment
  ( help will be appreciated after ;) )

* Sun Nov 23 2008 Funda Wang <fwang@mandriva.org> 3:4.1.80-2mdv2009.1
+ Revision: 305966
- rebuild
- build meanwhile protocol
- revert last commitment (kget interact with workspace)
- kdenetwork only uses plasma

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Fix irc protocol activation
    - Remove merged patches

  + Helio Chissini de Castro <helio@mandriva.com>
    - Update with Beta 1 - 4.1.80

* Mon Nov 17 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.1.73-2mdv2009.1
+ Revision: 303855
- Add Windows Live Messenger protocol instead of the Old MSN protocol

* Fri Nov 14 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.1.73-1mdv2009.1
+ Revision: 302948
- Update to kde 4.1.73
  Fix Link in libiris
  Remove unneeded patches
- Show Kppp on Menu

* Sun Nov 02 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.1.71-9mdv2009.1
+ Revision: 299227
- Make use if cm variable

* Sun Nov 02 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.1.71-8mdv2009.1
+ Revision: 299192
- Bump release
- Enable back QQ protocol ( it is cooker :) )

* Sat Nov 01 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.1.71-7mdv2009.1
+ Revision: 299183
- account->protocol()->capabilitiesManager() check is really needed => adding it back

* Sat Nov 01 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.1.71-6mdv2009.1
+ Revision: 299176
- Comment BuildRequire
- Fix patch, no need to check account->protocol()->capabilitiesManager()
- Fix a crash in kopete when adding a jabber account
- Remove SOURCES/kdenetwork-4.1.71-add-wlm-skype-support.patch patch from svn
- Install header needed by WLM protocol (standalone)
- Fix patch number
- Remove WLM patch from playground(salem)  *sick*

* Wed Oct 29 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.1.71-3mdv2009.1
+ Revision: 298575
- Activate irc to make berthy happy :)
  Prepare to add the Windows Live Messenger and Skype plugins ( will be on on the next commit)

* Sat Oct 25 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.1.71-2mdv2009.1
+ Revision: 297065
- Versionnate ortp BuildRequire ( that add jingle support in jabber )

* Sat Oct 25 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.1.71-1mdv2009.1
+ Revision: 297030
- New version 4.1.71
- kdenetwork4 is a metapackage so change Requires into Suggests
  knewsticker is not anymore so remove it completly

* Tue Oct 21 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.1.70-1mdv2009.1
+ Revision: 295872
- Update to kde 4.1.70

* Thu Oct 02 2008 Frederic Crozat <fcrozat@mandriva.com> 3:4.1.2-2mdv2009.0
+ Revision: 290848
- Add conflicts to ease upgrade from Mdv 2008.1

* Thu Sep 25 2008 Helio Chissini de Castro <helio@mandriva.com> 3:4.1.2-1mdv2009.0
+ Revision: 288231
- KDE 4.1.2 arriving.

* Thu Sep 04 2008 Helio Chissini de Castro <helio@mandriva.com> 3:4.1.1-3mdv2009.0
+ Revision: 280883
- At first sight backporting kopete looks like a goos idea, but current issue, like protocol modifications and a lack of upstrema support due invalid backtraces show that we should stay with current 4.1.1 official version, even with some features missing. Going to safe net.

* Wed Sep 03 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.1.1-2mdv2009.0
+ Revision: 279944
- Use Kopete from trunk

* Sun Aug 31 2008 Helio Chissini de Castro <helio@mandriva.com> 3:4.1.1-1mdv2009.0
+ Revision: 277823
- Upgrade to forthcoming 4.1.1 packages

  + Funda Wang <fwang@mandriva.org>
    - do not build qq protocal, for it is not working now.
    - requires ppp

* Mon Aug 04 2008 Helio Chissini de Castro <helio@mandriva.com> 3:4.1.0-4mdv2009.0
+ Revision: 263302
- Update with current branch 4.1 patches

* Thu Jul 31 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 3:4.1.0-3mdv2009.0
+ Revision: 258581
- Added kdenetwork-4.0.85-kopete.patch from libv4l.

* Mon Jul 28 2008 Helio Chissini de Castro <helio@mandriva.com> 3:4.1.0-2mdv2009.0
+ Revision: 251666
- Update with Release Candidate 1 - 4.1.0
- Update with Release Candidate 1 - 4.1.0

* Mon Jul 21 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.0.98-2mdv2009.0
+ Revision: 239568
- Add patch1 that Find media players that were started after the plugin was created

* Thu Jul 10 2008 Helio Chissini de Castro <helio@mandriva.com> 3:4.0.98-1mdv2009.0
+ Revision: 233186
- Update with Release Candidate 1 - 4.0.98

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Fix Kppp menu entry ( KDE menu cleaning task)

* Mon Jul 07 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.0.85-1mdv2009.0
+ Revision: 232465
- New version kde 4.0.85

* Tue Jul 01 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.0.84-2mdv2009.0
+ Revision: 230422
- Add patch0 to fix menu entries of Kppp krfb and kget

* Fri Jun 27 2008 Helio Chissini de Castro <helio@mandriva.com> 3:4.0.84-1mdv2009.0
+ Revision: 229412
- Update with new snapshot tarballs 4.0.84
- Remove patch since is already included in upcoming 4.0.84

* Thu Jun 26 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.0.83-4mdv2009.0
+ Revision: 229363
- Add patch1: Do not call postNewEvent if events are not to be appended.

  + Helio Chissini de Castro <helio@mandriva.com>
    - Wrong conflicts for 2008.1 and lower

* Tue Jun 24 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.0.83-2mdv2009.0
+ Revision: 228657
- Add epoch in conflicts
- Add kppp-provider package

* Thu Jun 19 2008 Helio Chissini de Castro <helio@mandriva.com> 3:4.0.83-1mdv2009.0
+ Revision: 226125
- Update with new snapshot tarballs 4.0.83

* Wed Jun 11 2008 Helio Chissini de Castro <helio@mandriva.com> 3:4.0.82-1mdv2009.0
+ Revision: 218028
- Update with new snapshot tarballs 4.0.82

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Funda Wang <fwang@mandriva.org>
    - conflicts with kopete-otr

* Tue Jun 03 2008 Helio Chissini de Castro <helio@mandriva.com> 3:4.0.81-1mdv2009.0
+ Revision: 214716
- Update with new snapshot tarballs 4.0.81

* Sat May 24 2008 Helio Chissini de Castro <helio@mandriva.com> 3:4.0.80-1mdv2009.0
+ Revision: 210786
- New upstream kde4 4.1 beta1

* Mon May 19 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.0.74-2mdv2009.0
+ Revision: 209218
- Fix descriptions of subpackages

* Fri May 16 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.0.74-1mdv2009.0
+ Revision: 208236
- Versionnate BuildRequires

  + Funda Wang <fwang@mandriva.org>
    - New version 4.0.74

* Wed May 14 2008 Anssi Hannula <anssi@mandriva.org> 3:4.0.73-2mdv2009.0
+ Revision: 207177
- Add old kde3 conflicts for smooth upgrade

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Fix typo on file list
    - Fix File list
    - Update to kde 4.0.73

* Wed May 07 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.0.72-2mdv2009.0
+ Revision: 202607
- Fix BuildRequire
- Remove patch0 (unneeded )
- Update to kde 4.0.72
- Add webkitkde as buildrequire
  Fix file list
- Fix file list
- New snapshot 4.0.70
- New snapshot 4.0.69

  + Helio Chissini de Castro <helio@mandriva.com>
    - New upstream kde4 4.1 alpha 1
    - Starting to push new infrastructure for devel KDE 4.1. KDE 4 will be on / now. KDE is dead. Long live KDE vi kdenetwork4/SPECS/kdenetwork4.spec ;-)

* Wed Apr 02 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.0.3-2mdv2008.1
+ Revision: 191545
- Add upstream patch to fix a segfault in kopete

* Fri Mar 28 2008 Helio Chissini de Castro <helio@mandriva.com> 3:4.0.3-1mdv2008.1
+ Revision: 190990
- Update for last stable release 4.0.3

* Sat Mar 08 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:4.0.2-2mdv2008.1
+ Revision: 182253
- Rebuild against new qt4 changes

* Sat Mar 01 2008 Helio Chissini de Castro <helio@mandriva.com> 3:4.0.2-1mdv2008.1
+ Revision: 177443
- New upstream bugfix release 4.0.2

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix no-buildroot-tag
    - fix description-line-too-long

* Sun Feb 10 2008 Helio Chissini de Castro <helio@mandriva.com> 3:4.0.1-1mdv2008.1
+ Revision: 164806
- Updating for stable KDE 4.0.1
- No more branches. From now, we will be using the monthly official KDE tarballs, as discussed by Mandriva KDE Team

* Tue Jan 08 2008 Helio Chissini de Castro <helio@mandriva.com> 3:4.0.0-1mdv2008.1
+ Revision: 146897
- Update for final stable 4.0.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 24 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:3.97.1-0.752200.1mdv2008.1
+ Revision: 137400
- New snapshot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 10 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:3.97.1-0.746684.2mdv2008.1
+ Revision: 117080
- New snapshot

* Fri Nov 30 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:3.96.1-0.743004.2mdv2008.1
+ Revision: 114093
- New snapshot

* Sun Nov 25 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:3.96.1-0.740247.2mdv2008.1
+ Revision: 111926
- Obsoletes libkdenetwork42

* Fri Nov 23 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:3.96.1-0.740247.1mdv2008.1
+ Revision: 111504
- New Snapshot
  Move libqgroupwise.so from devel package to kopete one (Bug #35740)
- Add Obsoletes for libkdenetwork42-kget libkopete5 and libkopete_msn_shared5 (Bug #35188)

* Sat Nov 17 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:3.96.0-0.737162.1mdv2008.1
+ Revision: 109176
- KDE4 Rc1
  libpapillon_kopete have been removed

* Sun Nov 11 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:3.95.2-0.734821.1mdv2008.1
+ Revision: 107583
- New snapshot

* Fri Nov 02 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:3.95.1-0.732092.1mdv2008.1
+ Revision: 105411
- New Snapshot
- Fix file list
- New snapshot post Rc1
- Fix file list
- add back missing patch
- New snashot
- Activate Kopete again

  + Funda Wang <fwang@mandriva.org>
    - should be sqlite3 instead of sqlite2

* Thu Oct 25 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:3.94.1-0.729249.2mdv2008.1
+ Revision: 102140
- Add conflict to ease upgrade

* Thu Oct 25 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:3.94.1-0.729249.1mdv2008.1
+ Revision: 102071
- New snapshot

* Wed Oct 24 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:3.94.1-0.728807.1mdv2008.1
+ Revision: 101874
- Add BuildRequire
- Fix file list
- Fix patch fo the build without kopete
- New svn snapshot
- Fix file list ( remove duplicate files)

* Fri Oct 19 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3:3.94.0-0.726703.1mdv2008.1
+ Revision: 100228
- Fix Buildrequires
- Fix BuildRequires
- Kde 4 beta3
  Fix file list

* Fri Sep 21 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 3:3.93.0-0.714148.1mdv2008.0
+ Revision: 91909
- update svn snapshot
- make all obsoletes tags versioned
- bump epoch to fix revision number

  + Helio Chissini de Castro <helio@mandriva.com>
    - Update with revision 713092

* Thu Sep 13 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:3.93.0-2mdv2008.0
+ Revision: 85042
- Fix build when we do not package kopete
- New svn snapshot of beta3
- Add Decibel as buildrequires for kopete

  + Helio Chissini de Castro <helio@mandriva.com>
    - Update to revision 695413
    - Updated to revision 694391
    - Cleanup whole specfile.
    - Put back providers inside kppp package ( never understood why are separated )
    - Killed independent devel packages, one devel package to rule then all
    - Reenabled qca2
    - Update to revision 689748

* Wed Jul 04 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:3.91-0.683133.1mdv2008.0
+ Revision: 48119
- New snapshot

* Sun Jul 01 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:3.91-0.680437.1mdv2008.0
+ Revision: 46800
- Fix File List
- start to port spec file to the new kde layout

* Thu May 10 2007 Laurent Montel <lmontel@mandriva.org> 2:3.90.1-0.20070502.1mdv2008.0
+ Revision: 25913
- new snapshot

* Thu May 03 2007 Laurent Montel <lmontel@mandriva.org> 2:3.80.3-0.20070502.3mdv2008.0
+ Revision: 21556
- new snapshot
- Necessary to use good version (header pb with c++)
- Fix buildrequires
- new snapshot


* Sun Mar 11 2007 Laurent Montel <lmontel@mandriva.com> 3.80.3-0.20070311.3mdv2007.1
+ Revision: 141316
- new snapshot
- new snapshot
- Fix spec file
- Resumit it
- new snapshot
- 3.80.3
- Fix spec file
- new snapshot
- Fix spec files
- new snapshot
- new snapshot
- update
- Fix group
- Rename to lisa4

* Tue Jan 09 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.2-0.20070109.1mdv2007.1
+ Revision: 106464
- Update
- Clean up
- Import kdenetwork4

* Mon Nov 06 2006 Laurent Montel <lmontel@mandriva.com> 3.5.5-6mdv2007.0
- First package

